Subject: Re: Network performance with small packets

From: Rusty Russell <[email-masked]>
Date: Tue, 19 Apr 2011 10:03:43 +0930

On Thu, 14 Apr 2011 19:03:59 +0300, "Michael S. Tsirkin" <[email-masked]> wrote:
> On Thu, Apr 14, 2011 at 08:58:41PM +0930, Rusty Russell wrote:
> > They have to offer the feature, so if the have some way of allocating
> > non-page-aligned amounts of memory, they'll have to add those extra 2
> > bytes.
> > 
> > So I think it's OK...
> > Rusty.
> 
> To clarify, my concern is that we always seem to try to map
> these extra 2 bytes, which thinkably might fail?

No, if you look at the layout it's clear that there's always most of a
page left for this extra room, both in the middle and at the end.

Cheers,
Rusty.